Subject: [PATCH] USB-serial dummy cable driver

From: [email-masked] (Greg KH)
Date: Tue, 3 Aug 2010 09:38:26 -0700

On Tue, Aug 03, 2010 at 06:14:15PM +0200, Marek Vasut wrote:
> Dne ?t 3. srpna 2010 00:47:18 Greg KH napsal(a):
> > On Mon, Aug 02, 2010 at 08:00:07AM +0200, Marek Vasut wrote:
> > > This driver is used to implement USB-serial like behaviour over dummy
> > > 
> > > USB cables. These are used in the following devices:
> > > 	Funsoft Serial USB driver
> > > 	Genesys Logic GL620USB USB Laplink cable
> > > 	HP4x (48/49) Serial cable
> > > 	Motorola phones
> > > 	Siemens USB-MPI Serial USB driver
> > > 	ViVOpay USB Serial Driver
> > > 	ZIO Motherboard USB driver
> > 
> > I like the idea, but not the name :)
> 
> Please don't expect miracles from me after 26 hours without sleep ;-)
> > 
> > Ideally, all of these would be able to be handled by the usb-serial
> > generic driver directly.
> 
> I just noticed that one. Stupid me.
> > 
> > But really, having these multiple drivers is a good thing, they properly
> > convey to the user what the device is, and it gives these developers and
> > companies a sense of ownership over the code, and that matters at times.
> > 
> > So you lost the names of the devices with this patch, which isn't good.
> 
> Sheesh ... that's true, but having pile of copies of the same code is not good 
> either.

I agree, that's why I said it should be reduced.

> Can't we then just deprecate all these drivers and set correct udev
> rules?

udev can not change the name of the device in sysfs, or the name in the
kernel of the device.

thanks,

greg k-h